<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Slope
 */

$error_background = slope_get_thememod_value( 'error-cover-image' );

get_header(); ?>

	<?php if ( '' !== $error_background ) : ?>
	<div class="error-page-cover" style="background-image:url(<?php echo esc_url( $error_background ); ?>);"></div>
	<?php endif; ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<div class="error-404-wrapper">
				<section class="error-404 not-found background-secondary">
					<header class="page-header">
						<h1 class="page-title"><?php echo slope_get_thememod_value( 'error-page-title' ); // WPCS: XSS ok. ?></h1>
					</header><!-- .page-header -->

					<div class="page-content">
						<?php echo apply_filters( 'the_content', slope_get_thememod_value( 'error-page-description' ) ); // WPCS: XSS ok. ?>

						<?php get_search_form(); ?>
					</div><!-- .page-content -->
				</section><!-- .error-404 -->
			</div>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
