<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Slope
 */

$jetpack_options = get_theme_mod( 'jetpack_testimonials' );

get_header(); ?>

	<?php if ( '' !== $jetpack_options['featured-image'] ) : ?>
	<div class="post-cover-section" style="background-image: url(<?php echo esc_url( wp_get_attachment_url( $jetpack_options['featured-image'] ) ); ?>)"></div>
	<?php endif; ?>

	<div class="entry-header section-highlight background-secondary">
		<h1 class="page-title"><?php echo esc_html( $jetpack_options['page-title'] ); ?></h1>

		<?php if ( '' !== $jetpack_options['page-content'] ) : // only display if content not empty. ?>
			<div class="testimonial-description">
				<?php echo convert_chars( convert_smilies( wptexturize( stripslashes( wp_filter_post_kses( addslashes( $jetpack_options['page-content'] ) ) ) ) ) ); // WPCS: XSS ok. ?>
			</div>
		<?php endif; ?>
	</div>

	<div class="container">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">

				<div class="grid" data-columns>
					<?php
					if ( have_posts() ) :
						?>

						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							* Include the Post-Format-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Format name) and that will be used instead.
							*/
							get_template_part( 'template-parts/content', 'jetpack-testimonial' );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
				</div>

				<?php get_template_part( 'template-parts/content', 'pagination' ); ?>

			</main><!-- #main -->
		</div><!-- #primary -->
	</div>

<?php
get_footer();
