<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Slope
 */

$cat_thumbnail   = slope_blog_fallback_image();
$container_class = slope_blog_columns_class();

get_header(); ?>

	<?php if ( is_archive() && false !== $cat_thumbnail ) : ?>
	<div class="post-cover-section" style="background-image: url(<?php echo esc_url( $cat_thumbnail ); ?>)"></div>
	<?php endif; ?>

	<div class="container <?php echo esc_attr( $container_class ); ?>">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">

				<header class="page-header archive-header background-secondary">
					<?php
						the_archive_title( '<h1 class="page-title">', '</h1>' );
						the_archive_description( '<div class="archive-description">', '</div>' );
					?>
				</header><!-- .page-header -->

				<div class="grid" data-columns>
					<?php
					if ( have_posts() ) :
						?>

						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							* Include the Post-Format-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Format name) and that will be used instead.
							*/
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
				</div>

				<?php get_template_part( 'template-parts/content', 'pagination' ); ?>

			</main><!-- #main -->
		</div><!-- #primary -->

		<?php get_sidebar( 'blog' ); ?>
	</div>

<?php
get_footer();
