<?php
/**
 * The template for displaying author archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Slope
 */

get_header(); ?>

	<div class="author-title background-secondary">
		<h1 class="page-title"><?php echo get_the_author(); ?></h1>
	</div>

	<div class="container">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">

				<div class="author-info">
					<?php
					/**
					 * Filter the author bio avatar size.
					 *
					 * @param int $size The avatar height and width size in pixels.
					 */
					$author_bio_avatar_size = apply_filters( 'slope_author_bio_avatar_size', 180 );
					echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
					?>

					<h4 class="about-author">
						<?php esc_attr_e( 'About the Author', 'slope' ); ?>
					</h4>

					<?php the_archive_description( '<div class="archive-description">', '</div>' ); ?>

					<h3 class="all-posts">
						<?php
						/* translators: %s: author title. */
						echo sprintf( esc_attr__( 'All posts by %s', 'slope' ), get_the_author() );
						?>
					</h3>
				</div>

				<div class="grid" data-columns>
					<?php
					if ( have_posts() ) :
						?>

						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							* Include the Post-Format-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Format name) and that will be used instead.
							*/
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
				</div>

				<?php get_template_part( 'template-parts/content', 'pagination' ); ?>

			</main><!-- #main -->
		</div><!-- #primary -->
	</div>

<?php
get_footer();
