<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Slope
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">

		<?php get_sidebar(); ?>

		<div class="site-info">
			<div class="container">
				<div class="grid">
					<div class="grid__col grid__col--1-of-2 site-info-footer">

						<?php if ( slope_get_thememod_value( 'html-footer-text' ) || is_customize_preview() ) : ?>
							<div class="site-copyright">
								<?php $allowed_tags = slope_allowed_html(); ?>
								<?php echo wp_kses( slope_get_thememod_value( 'html-footer-text' ), $allowed_tags ); ?>
							</div>
						<?php endif; ?>

						<?php if ( false === slope_get_thememod_value( 'bool-hide-credit' ) || is_customize_preview() ) : ?>
						<div class="site-credits">
								<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'slope' ) ); ?>">
								<?php
									/* translators: %s: CMS name, i.e. WordPress. */
									printf( esc_html__( 'Proudly powered by %s', 'slope' ), 'WordPress' );
								?>
							</a>
							<span class="sep"> | </span>
							<?php
								/* translators: 1: Theme name, 2: Theme author. */
								printf( esc_html__( 'Theme: %1$s by %2$s.', 'slope' ), 'Slope', '<a href="https://codestag.com/">Codestag</a>' );
							?>
						</div><!-- .site-credits -->
						<?php endif; ?>

					</div>


					<?php if ( has_nav_menu( 'menu-2' ) || has_nav_menu( 'jetpack-social-menu' ) ) : ?>
					<div class="grid__col grid__col--1-of-2">
						<?php
						if ( function_exists( 'jetpack_social_menu' ) ) jetpack_social_menu();

						wp_nav_menu( array(
							'theme_location' => 'menu-2',
							'menu_id'        => 'footer-menu',
							'menu_class'     => 'footer-menu',
							'container'      => 'ul',
							'depth'          => '-1',
						) );
						?>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>

</body>
</html>
