<?php
/**
 * Slope Page templates.
 *
 * @package Slope
 */

/**
 * Page Templates Setup
 */
class Slope_Page_Templates {
	/**
	 * Constructor Class
	 */
	public function __construct() {
		/* Page Templates Notice */
		add_action( 'admin_head-post.php', array( __CLASS__, 'write_panel_setup' ), 0 );
	}

	/**
	 * Editor Notice and Setup For Page Templates
	 */
	public static function write_panel_setup() {
		global $post_type, $post;

		/* Check */
		if ( ! isset( $post, $post_type ) || ! is_a( $post, 'WP_Post' ) || 'page' !== $post_type ) {
			return;
		}

		/* Get Page Template */
		$page_template = $post->_wp_page_template;

		/* template-widgetized.php */
		if ( 'page-templates/template-widgetized.php' === $page_template ) {
			add_action( 'edit_form_after_title', array( __CLASS__, 'notice_template_widgetized' ) );
		}
	}

	/**
	 * Admin notice for: template-widgetized.php
	 */
	public static function notice_template_widgetized() {
		global $post;
		$page_link = get_permalink( $post->ID );

		// Bail, if no invalid link.
		if ( '' === $page_link ) return;

		$url = add_query_arg( array(
			'autofocus[section]' => 'sidebar-widgets-widget-area-page-' . $post->ID,
			'url'                => $page_link,
		), admin_url( 'customize.php' ) );

		?>
		<div class="notice notice-warning inline">
			<p><?php esc_html_e( "You are currently editing the page that's content is managed by widgets.", 'slope' ); ?> <a href="<?php echo esc_url( $url ); ?>" class="button button-small"><?php esc_html_e( 'Manage Widgets', 'slope' ); ?></a></p>
		</div><!-- .notice -->
		<?php
	}
}

new Slope_Page_Templates();
