/**
 * Widget Features (Admin).
 */
( function ( window, undefined ) {

	window.wp    = window.wp || {};
	let document = window.document;
	let $        = window.jQuery;

	// Template.
	let featureTemplate = wp.template( 'feature' );
	let imageTemplate   = wp.template( 'image' );

	/**
	 * Bind items to to the DOM.
	 */
	$( function () {

		// Add new feature.
		$( document ).on( 'click', '.button-add-feature', function ( e ) {
			e.preventDefault();

			// El.
			let thisform = $( this ).parents( '.widget-inside' );
			let featuresDiv = $( this ).parents( '.features-wrap' ).find( '.features' );

			// Current widget data.
			let widgetNum = thisform.find( 'input[name="multi_number"]' ).val();
			if ( ! widgetNum ) {
				widgetNum = thisform.find( 'input[name="widget_number"]' ).val();
			}

			// Add features.
			featuresDiv.append( featureTemplate( {
				widget_num:  widgetNum,
				order:       featuresDiv.find( '.feature' ).length + 1,
				title:       '',
				media:       '',
				description: '',
				button_text: '',
				button_url : '',
			} ) ).sortable();
		} );

		// Remove feature.
		$( document ).on( 'click', '.button-remove-feature', function ( e ) {
			e.preventDefault();
			$( this ).parents( '.feature' ).remove();
		} );

		// Add new image.
		$( document ).on( 'click', '.button-add-image', function ( e ) {
			e.preventDefault();

			// El.
			let thisform = $( this ).parents( '.widget-inside' );
			let imagesDiv = $( this ).parents( '.images-wrap' ).find( '.images' );

			// Current widget data.
			let widgetNum = thisform.find( 'input[name="multi_number"]' ).val();
			if ( ! widgetNum ) {
				widgetNum = thisform.find( 'input[name="widget_number"]' ).val();
			}

			// Add features.
			imagesDiv.append( imageTemplate( {
				widget_num : widgetNum,
				order      : imagesDiv.find( '.image' ).length + 1,
				image      : '',
				button_text: '',
				button_url : '',
			} ) ).sortable();
		} );

		// Remove feature.
		$( document ).on( 'click', '.button-remove-image', function ( e ) {
			e.preventDefault();
			$( this ).parents( '.image' ).remove();
		} );

	} );

} ( window ));
