<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Slope
 */

$fallback_image = slope_blog_fallback_image();

get_header(); ?>

	<?php if ( false !== $fallback_image ) : ?>
	<div class="post-cover-section" style="background-image: url(<?php echo esc_url( $fallback_image ); ?>)"></div>
	<?php endif; ?>

	<div class="container">
		<section id="primary" class="content-area">
			<main id="main" class="site-main" role="main">

				<header class="page-header archive-header background-secondary">
					<h1 class="page-title">
						<?php
						/* translators: %s: search query. */
						printf( esc_html__( 'Search Results for: %s', 'slope' ), '<span>' . get_search_query() . '</span>' );
						?>
					</h1>
				</header><!-- .page-header -->

				<div class="grid" data-columns>
					<?php
					if ( have_posts() ) :
					?>

						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/**
							 * Run the loop for the search to output the results.
							 * If you want to overload this in a child theme then include a file
							 * called content-search.php and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
				</div>

				<?php get_template_part( 'template-parts/content', 'pagination' ); ?>

			</main><!-- #main -->
		</section><!-- #primary -->
	</div>

<?php
get_footer();
