<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Slope
 */

$cover_image = slope_featured_image_cover();

get_header(); ?>

	<div class="post-cover-section post-cover--<?php the_ID(); ?> background-secondary"></div>

	<?php if ( '' !== $cover_image ) : ?>
	<style>
		.post-cover--<?php the_ID(); ?> { background-image: url(<?php echo esc_url( $cover_image ); ?>); }
	</style>
	<?php endif; ?>

	<div class="container">

		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) :
				the_post();

				// Make sure subtitles are visible.
				add_action( 'subtitle_view_supported', '__return_true' );

				get_template_part( 'template-parts/content', 'single' );

				// Single post navigation.
				echo get_the_post_navigation( array(  // WPCS: XSS Ok.
					'prev_text' => __( '<span class="nav-label">Previous</span> %title', 'slope' ),
					'next_text' => __( '<span class="nav-label">Next</span> %title', 'slope' ),
				) );

				// Related posts.
				slope_related_posts();

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.

			remove_all_actions( 'subtitle_view_supported' );
			?>

			</main><!-- #main -->
		</div><!-- #primary -->

		<?php get_sidebar( 'single' ); ?>
	</div>

<?php
get_footer();
