<?php
/**
 * Template part for displaying posts in tiled layout.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Slope
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'auto-grid grid__tile' ); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
	<style>
		.post-cover__<?php the_ID(); ?> { background-image: url(<?php the_post_thumbnail_url( 'medium_large' ); ?>); }
	</style>
	<figure class="post-cover">
		<span class="post-cover__<?php the_ID(); ?>"></span>
	</figure>
	<?php endif; ?>

	<div class="post-content post-content--overlay">
		<header class="entry-header">
			<?php if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php slope_posted_on(); ?>
				</div><!-- .entry-meta -->
			<?php endif; ?>

			<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>

			<a href="<?php the_permalink(); ?>" class="button read-more"><?php echo apply_filters( 'slope_read_more_text', esc_html__( 'Read more', 'slope' ) ); // WPCS: XSS ok. ?></a>
		</header><!-- .entry-header -->
	</div>
</article>
