<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Slope
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'auto-grid' ); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
	<style>
		.post-cover__<?php the_ID(); ?> { background-image: url(<?php the_post_thumbnail_url( 'medium_large' ); ?>); }
	</style>
	<a href="<?php the_permalink(); ?>" class="post-cover">
		<span class="post-cover__<?php the_ID(); ?>"></span>
	</a>
	<?php endif; ?>

	<div class="post-content">
		<header class="entry-header">
			<?php if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php slope_posted_on(); ?>
				</div><!-- .entry-meta -->
			<?php endif; ?>

			<?php
			if ( is_singular() && ! is_page_template( 'page-templates/template-widgetized.php' ) ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif;
			?>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php
				if ( false === slope_get_thememod_value( 'bool-hide-post-excerpt' ) ) {
					the_excerpt();
				}

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'slope' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->

		<a href="<?php the_permalink(); ?>" class="read-more button"><?php esc_html_e( 'Read more', 'slope' ); ?></a>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
