<?php
/**
 * Custom header
 *
 * @package Slope
 */

if ( false === get_header_image() || '' === get_header_image() ) {
	return;
}

$header_title        = slope_get_thememod_value( 'header-image-title' );
$header_desc         = slope_get_thememod_value( 'header-image-description' );
$header_button_label = slope_get_thememod_value( 'header-image-button-label' );
$header_button_url   = slope_get_thememod_value( 'header-image-button-url' );
$header_box_position = slope_get_thememod_value( 'header-image-position' );

$header = get_custom_header();

?>


<style>
	.custom-header {
		background-image: url(<?php echo esc_url( $header->url ); ?>);
		color: #<?php echo get_theme_mod( 'header_textcolor', '#ffffff' ); // WPCS: XSS ok. ?>;
	}
</style>

<div class="custom-header">
	<div class="custom-header__content align-<?php echo esc_attr( $header_box_position ); ?>">
		<div class="custom-header__content-wrapper">
			<div class="background-secondary">
				<?php if ( '' !== $header_title ) : ?>
				<h2 class="custom-header__title"><?php echo esc_html( $header_title ); ?></h2>
				<?php endif; ?>

				<?php if ( '' !== $header_desc ) : ?>
				<div class="custom-header__description">
					<?php echo wp_kses_post( do_shortcode( wpautop( $header_desc ) ) ); ?>
				</div>
				<?php endif; ?>
			</div>

			<?php if ( '' !== $header_button_label && '' !== $header_button_url ) : ?>
				<a href="<?php echo esc_url( $header_button_url ); ?>" class="button alt accent-background"><?php echo esc_attr( $header_button_label ); ?></a>
			<?php endif; ?>
		</div>
	</div>
</div><!-- .custom-header -->
